Bug 165563 - Review Request: perl-Text-Glob
Review Request: perl-Text-Glob
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Text-Glob/
:
Depends On:
Blocks: FE-ACCEPT 165564
  Show dependency treegraph
 
Reported: 2005-08-10 10:31 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 03:38:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-10 10:31:33 EDT
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Text-Glob.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Text-Glob-0.06-2.src.rpm

Description:
Text::Glob implements glob(3) style matching that can be used to match
against text, rather than fetching names from a filesystem.  If you
want to do full file globbing use the File::Glob module instead.
Comment 1 Paul Howarth 2005-08-16 12:34:42 EDT
Review:

- rpmlint clean
- package and spec naming fine
- package meets guidelines
- license is same as perl
- spec written in English and is legible
- source matches upstream
- package builds ok in FC4 and in mock for devel (i386)
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership issues
- no duplicate files
- permissions are fine
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime


Nitpick:

- BR: perl not needed
- Finding empty .bs files not needed for noarch package

These can be addressed post-CVS.

I'm happy with this.

Approved.

Note You need to log in before you can comment on or make changes to this bug.